Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Readers > PocketBook

Notices

Reply
 
Thread Tools Search this Thread
Old 12-28-2010, 04:11 AM   #1
honza99999
Junior Member
honza99999 began at the beginning.
 
Posts: 5
Karma: 10
Join Date: Dec 2010
Device: Pocketbook 602
Cannot install new TTS in PocketBook 602

I cannot install any new TTS to my PB 602 (fw 2.0.2, Czech localization). I removed 2 existing TTS languages successfully so I should not have a problem with 4 TTS limit.

I load Czech.pbi file (but the same issue is with any other) to the root folder of internal memory, I launch it via Library/Application, I get a message (in Czech language) that the size of package is big and the the installation can take longer time.
Then after about 20 sec I get a message "Could not create temporary file in /tmp" and nothing is installed.

This does not depend whether external card is present or not, or if PB is connected to PC or not. I suppose that by '/tmp' it means a temp directory on internal (not visible) drive with Linux OS.

Seems it is not related to fw version, as I got a confirmation from other users that they installed the new TTS on fw 2.0.2.

Any idea what could be the issue, has anyone seen this error ? Thx
honza99999 is offline   Reply With Quote
Old 12-28-2010, 04:57 AM   #2
paola
Wizard
paola ought to be getting tired of karma fortunes by now.paola ought to be getting tired of karma fortunes by now.paola ought to be getting tired of karma fortunes by now.paola ought to be getting tired of karma fortunes by now.paola ought to be getting tired of karma fortunes by now.paola ought to be getting tired of karma fortunes by now.paola ought to be getting tired of karma fortunes by now.paola ought to be getting tired of karma fortunes by now.paola ought to be getting tired of karma fortunes by now.paola ought to be getting tired of karma fortunes by now.paola ought to be getting tired of karma fortunes by now.
 
paola's Avatar
 
Posts: 2,781
Karma: 5640234
Join Date: Oct 2010
Location: UK
Device: Pocketbook Pro 903, (beloved Pocketbook 360 RIP), Kobo Mini, Kobo Aura
honza, this has already been noted in the Bug report sticky thread - just check it out, looks like it is a bug for the Czech file.
paola is offline   Reply With Quote
 
Advertisement
Old 12-28-2010, 05:34 AM   #3
honza99999
Junior Member
honza99999 began at the beginning.
 
Posts: 5
Karma: 10
Join Date: Dec 2010
Device: Pocketbook 602
Thx for reply, but I do not think it is the same issue.

I have the problem on 2.0.2 (not after 2.0.3 install ), and mainly I have the same issue with *any* pbi file (so for example English_male as well). Also I got confirmed form one user on Czech mobile forum that he installed Czech TTS on his PB 902 fw 2.0.2. fine, so it seems to be somehow specific to my book.
Any help is appreciated. Thanks.
honza99999 is offline   Reply With Quote
Old 12-28-2010, 06:15 PM   #4
tvpupsik
Addict
tvpupsik will become famous soon enoughtvpupsik will become famous soon enoughtvpupsik will become famous soon enoughtvpupsik will become famous soon enoughtvpupsik will become famous soon enoughtvpupsik will become famous soon enough
 
tvpupsik's Avatar
 
Posts: 203
Karma: 502
Join Date: Mar 2010
Location: St. Louis, MO
Device: PB 360, PB 602, PB IQ
Quote:
Originally Posted by honza99999 View Post
Thx for reply, but I do not think it is the same issue.

I have the problem on 2.0.2 (not after 2.0.3 install ), and mainly I have the same issue with *any* pbi file (so for example English_male as well). Also I got confirmed form one user on Czech mobile forum that he installed Czech TTS on his PB 902 fw 2.0.2. fine, so it seems to be somehow specific to my book.
Any help is appreciated. Thanks.
honza99999, if I am not mistaken I saw somewhere that TTS can be installed only on 2.0.3 and not not earlier versions.
Also it is highly recommended for all 602/902 ownres to upgrade their devices to 2.0.3 to avoid potential freexing issue that was discovered in previous firmware versions. All new devices should be shipped with 2.0.3 now.
tvpupsik is offline   Reply With Quote
Old 12-29-2010, 03:11 AM   #5
marty63
Enthusiast
marty63 doesn't littermarty63 doesn't litter
 
Posts: 45
Karma: 104
Join Date: Nov 2010
Location: Prague, Czechia
Device: PocketBook Pro 902
Impossible Install

This problem is also with fw 2.0.3 - on my 902.
marty63 is offline   Reply With Quote
Old 12-29-2010, 07:37 AM   #6
honza99999
Junior Member
honza99999 began at the beginning.
 
Posts: 5
Karma: 10
Join Date: Dec 2010
Device: Pocketbook 602
tvpupsik: Thx, but I'm hesitating with the fw upgrade due to following reasons
- I got confirmed that Czech TTS was installed on 2.0.2 by some users
- according other users, it cannot be installed on 2.0.3
- bugs mentioned in bug thread - not possible to remove packages, and Dictionary in pdf files is not working properly.
So I see no benefit in upgrading with regards to TSS installation...

I suspect that I have some generic issue, maybe valid for any application. But I found only TTS files to test. Would anyone know about some other files that also need an installation ? For example some dictionaries that are supposed to be installed to internal (hidden) memory.
Thx
honza99999 is offline   Reply With Quote
Old 12-29-2010, 11:10 AM   #7
mtravellerh
book creator
mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.
 
mtravellerh's Avatar
 
Posts: 9,626
Karma: 1723914
Join Date: Oct 2008
Location: Luxembourg
Device: PB360°
Quote:
Originally Posted by honza99999 View Post
tvpupsik: Thx, but I'm hesitating with the fw upgrade due to following reasons
- I got confirmed that Czech TTS was installed on 2.0.2 by some users
- according other users, it cannot be installed on 2.0.3
- bugs mentioned in bug thread - not possible to remove packages, and Dictionary in pdf files is not working properly.
So I see no benefit in upgrading with regards to TSS installation...

I suspect that I have some generic issue, maybe valid for any application. But I found only TTS files to test. Would anyone know about some other files that also need an installation ? For example some dictionaries that are supposed to be installed to internal (hidden) memory.
Thx
No, there are no other xpi files except tts for now.
mtravellerh is offline   Reply With Quote
Old 12-29-2010, 11:34 PM   #8
tvpupsik
Addict
tvpupsik will become famous soon enoughtvpupsik will become famous soon enoughtvpupsik will become famous soon enoughtvpupsik will become famous soon enoughtvpupsik will become famous soon enoughtvpupsik will become famous soon enough
 
tvpupsik's Avatar
 
Posts: 203
Karma: 502
Join Date: Mar 2010
Location: St. Louis, MO
Device: PB 360, PB 602, PB IQ
Quote:
Originally Posted by honza99999 View Post
tvpupsik: Thx, but I'm hesitating with the fw upgrade due to following reasons
- I got confirmed that Czech TTS was installed on 2.0.2 by some users
- according other users, it cannot be installed on 2.0.3
- bugs mentioned in bug thread - not possible to remove packages, and Dictionary in pdf files is not working properly.
So I see no benefit in upgrading with regards to TSS installation...

I suspect that I have some generic issue, maybe valid for any application. But I found only TTS files to test. Would anyone know about some other files that also need an installation ? For example some dictionaries that are supposed to be installed to internal (hidden) memory.
Thx

honza99999
, you are very welcome. As far as I know, keeping 2.0.2 and not upgrading to 2.0.3 puts the device of risk of freezing that might be recoverable only in the service center. That's why it is highly recommended to upgrade to 2.0.3. At least this is the direction for the firmware in the USA.
tvpupsik is offline   Reply With Quote
Old 12-30-2010, 04:20 AM   #9
mtravellerh
book creator
mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.
 
mtravellerh's Avatar
 
Posts: 9,626
Karma: 1723914
Join Date: Oct 2008
Location: Luxembourg
Device: PB360°
Quote:
Originally Posted by tvpupsik View Post

honza99999
, you are very welcome. As far as I know, keeping 2.0.2 and not upgrading to 2.0.3 puts the device of risk of freezing that might be recoverable only in the service center. That's why it is highly recommended to upgrade to 2.0.3. At least this is the direction for the firmware in the USA.
and in Europe
mtravellerh is offline   Reply With Quote
Old 12-30-2010, 05:51 AM   #10
honza99999
Junior Member
honza99999 began at the beginning.
 
Posts: 5
Karma: 10
Join Date: Dec 2010
Device: Pocketbook 602
Thx for your replies, I understand why being on the latest fw makes sense, and I'm ok to try it.

But I'm concerned about one point - as I currently have a message that it cannot write to /tmp, what if fw upgrade itself is also using this directory ? To me it looks as a reasonable assumption. Then I'm afraid I might be stuck. Do you have an idea how fw upgrade is internally done ?

Or is there some other way how to check that my problem with /tmp is for TTS only. In such case fw upgrade could be safe in my opinion. I tried to use large and complex pdf, I also got a message that opening the file can take long time, and the file was opened fine at the end. Is /tmp directory used as well during such process. Or can you confirm if /tmp was not writable in general, PB would not work at all.
Thanks
honza99999 is offline   Reply With Quote
Old 12-30-2010, 07:44 AM   #11
mtravellerh
book creator
mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.mtravellerh ought to be getting tired of karma fortunes by now.
 
mtravellerh's Avatar
 
Posts: 9,626
Karma: 1723914
Join Date: Oct 2008
Location: Luxembourg
Device: PB360°
Quote:
Originally Posted by honza99999 View Post
Thx for your replies, I understand why being on the latest fw makes sense, and I'm ok to try it.

But I'm concerned about one point - as I currently have a message that it cannot write to /tmp, what if fw upgrade itself is also using this directory ? To me it looks as a reasonable assumption. Then I'm afraid I might be stuck. Do you have an idea how fw upgrade is internally done ?

Or is there some other way how to check that my problem with /tmp is for TTS only. In such case fw upgrade could be safe in my opinion. I tried to use large and complex pdf, I also got a message that opening the file can take long time, and the file was opened fine at the end. Is /tmp directory used as well during such process. Or can you confirm if /tmp was not writable in general, PB would not work at all.
Thanks
If /tmp wouldn't work (means if the sys couldn't write on it), the device would be locked right from the beginning.
mtravellerh is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
TTS in Pocketbook devices 22 languages (38 language variations) Forkosigan PocketBook 22 03-03-2012 08:25 AM
TTS in Pocketbook Geräten, 22 Sprachen (38 Sprachvariationen) Forkosigan PocketBook 26 06-07-2011 11:03 AM
Langues TTS pour les PocketBook Pro mtravellerh PocketBook 1 12-25-2010 01:51 PM
pocketbook 602 mahgister PocketBook 2 12-13-2010 08:56 PM
What is the Pocketbook 602 ? aceflor PocketBook 40 06-10-2010 01:32 AM


All times are GMT -4. The time now is 09:17 AM.


MobileRead.com is a privately owned, operated and funded community.